import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { MeComponent } from './me/me.component';
import { TheyComponent } from './they/they.component';
import { NearComponent } from './near/near.component';
import { TheyDetailComponent } from './they-detail/they-detail.component';
import { CommunityComponent } from './community/community.component';
import { ScienceDetailComponent } from './science-detail/science-detail.component';
import { ShareComponent } from './share/share.component';
import { AttentionDetailComponent } from './attention-detail/rattention-detail.component';
import { RecommendDetailComponent } from './recommend-detail/recommend-detail.component';
import { UserFollowComponent } from './user-follow/user-follow.component';
import { UserTagComponent } from './user-tag/user-tag.component';
import { UserCollectionComponent } from './user-collection/user-collection.component';


const routes: Routes = [
  { path: 'me', component: MeComponent },
  { path: 'they', component: TheyComponent },
  { path: 'community', component: CommunityComponent },
  { path: 'near', component: NearComponent },
  { path: 'they/detail', component: TheyDetailComponent },
  { path: 'community/scienceDetail', component: ScienceDetailComponent },
  { path: 'community/share', component: ShareComponent },
  { path: 'community/attentionDetail', component: AttentionDetailComponent },
  { path: 'community/recommendDetail', component: RecommendDetailComponent },
  { path: "me/userFollow", component: UserFollowComponent },
  { path: "me/userTag", component: UserTagComponent },
  { path: "me/userCollection", component: UserCollectionComponent },


];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class LessonRoutingModule { }
